ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.ISignalFlowManager Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ISignalFlowManager:

## Public Member Functions
float | GetStageOutput (ESignalFlowPath path, EStage stage, EChannel channel)
| Gets stage output.

## Properties
IInputStage | InputStage`[get]`
IInputConditioningStage | InputConditioningStage`[get]`
IControlModeStage | ControlModeStage`[get]`
ISmartStepManager | SmartStepManager`[get]`
IOutputStage | OutputStage`[get]`
IHallFeedback | HallFeedback`[get]`

## Member Function Documentation

## ◆ GetStageOutput()

float ICC4cPwmSdk.Device.ISignalFlowManager.GetStageOutput | ( | ESignalFlowPath | path,
|  | EStage | stage,
|  | EChannel | channel )

Gets stage output.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## Property Documentation

## ◆ ControlModeStage

IControlModeStage ICC4cPwmSdk.Device.ISignalFlowManager.ControlModeStage
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ HallFeedback

IHallFeedback ICC4cPwmSdk.Device.ISignalFlowManager.HallFeedback
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ InputConditioningStage

IInputConditioningStage ICC4cPwmSdk.Device.ISignalFlowManager.InputConditioningStage
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ InputStage

IInputStage ICC4cPwmSdk.Device.ISignalFlowManager.InputStage
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ OutputStage

IOutputStage ICC4cPwmSdk.Device.ISignalFlowManager.OutputStage
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SmartStepManager

ISmartStepManager ICC4cPwmSdk.Device.ISignalFlowManager.SmartStepManager
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs